petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCFactorSetZeroPivot

Sets the size at which smaller pivots are declared to be zero

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorSetZeroPivot(PC pc,PetscReal zero)

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| zero | - all pivots smaller than this will be considered zero Many br

### Options Database Key

-pc_factor_zeropivot <zero> -Sets tolerance for what is considered a zero pivot Many br

Many br

### Keywords

PC, set, factorization, direct, fill

### See Also

PCFactorSetShiftType(), PCFactorSetShiftAmount()

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages